import { _ as _cloneArrayBuffer } from "./_cloneArrayBuffer.mjs";
var cloneArrayBuffer = _cloneArrayBuffer;
function cloneTypedArray(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var _cloneTypedArray = cloneTypedArray;
export {
  _cloneTypedArray as _
};
